version: 1.0
configuration:
  has_webserver: true 
  readonly_paths:
    - src/app/app.component.spec.ts
    - src/tsconfig.spec.json
    - src/app/app.module.ts
  scoring:
    command: "bash bin/env_setup && . $HOME/.nvm/nvm.sh && npm test"
    files:
        - unit.xml
  ide_config:
    default_open_files:
      - src/app/app.component.ts
    project_menu:
      run: export NG_CLI_ANALYTICS=ci && bash bin/env_setup && . $HOME/.nvm/nvm.sh && npm start
      install: export NG_CLI_ANALYTICS=ci && bash bin/env_setup && . $HOME/.nvm/nvm.sh && npm install
      test: export NG_CLI_ANALYTICS=ci && bash bin/env_setup && . $HOME/.nvm/nvm.sh && npm test